
Imports DevExpress.Xpo

Imports DevExpress.Persistent.Base
Imports DevExpress.ExpressApp.ConditionalAppearance

<DefaultClassOptions()>
<NavigationItem(False)>
<CreatableItem(False)>
<Persistent("ZIPHU")>
<Indices("Zip")>
<Appearance("ZIPHU - Disable ID all time", AppearanceItemType.ViewItem, "1=1", TargetItems:="ID", Enabled:=False)> _
Public Class ZIPHU
    Inherits XPLiteObject
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub
    <Key()> Property ID As Long
    Property Zip As String
    Property City As String
    Property County As String
End Class
